Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 2884973004: Remove usage of SequencedWorkerPool::GetNamedSequenceToken from GetKeyboardLayoutsForLocale. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month, 1 week ago by fdoray
Modified:
1 month, 1 week ago
CC:
chromium-reviews, alemate+watch_chromium.org, achuith+watch_chromium.org, oshima+watch_chromium.org, davemoore+watch_chromium.org, jshin+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove usage of SequencedWorkerPool::GetNamedSequenceToken from GetKeyboardLayoutsForLocale. SequencedWorkerPool is being deprecated in favor of TaskScheduler. BUG=667892 TBR=achuith@chromium.org Review-Url: https://codereview.chromium.org/2884973004 Cr-Commit-Position: refs/heads/master@{#473270} Committed: https://chromium.googlesource.com/chromium/src/+/b8de8c51c48c9bf5cc72c3e7363d14cd8b5b66c6

Patch Set 1 #

Patch Set 2 : fix-build-error #

Patch Set 3 : rebase #

Total comments: 7

Patch Set 4 : CR-emaxx-18 #

Messages

Total messages: 34 (24 generated)
fdoray
Please take a look. https://codereview.chromium.org/2884973004/diff/40001/chrome/browser/ui/webui/chromeos/login/l10n_util.cc File chrome/browser/ui/webui/chromeos/login/l10n_util.cc (right): https://codereview.chromium.org/2884973004/diff/40001/chrome/browser/ui/webui/chromeos/login/l10n_util.cc#newcode583 chrome/browser/ui/webui/chromeos/login/l10n_util.cc:583: base::PostTaskWithTraitsAndReplyWithResult( Is it important to ...
1 month, 1 week ago (2017-05-17 17:52:16 UTC) #14
achuithb
Looks like GetKeyboardLayoutsForResolvedLocale was introduced here: https://codereview.chromium.org/417103003 Bartosz is no longer working on this, but ...
1 month, 1 week ago (2017-05-18 21:36:51 UTC) #16
Thiemo Nagel
> Bartosz is no longer working on this, but maybe Maksim or Thiemo may be ...
1 month, 1 week ago (2017-05-19 14:02:04 UTC) #17
emaxx
LGTM. Although it may still make sense to ask bartfab@ - maybe he has some ...
1 month, 1 week ago (2017-05-19 17:58:16 UTC) #18
fdoray
I pinged bartfab@ on IM. https://codereview.chromium.org/2884973004/diff/40001/chrome/browser/ui/webui/chromeos/login/l10n_util.cc File chrome/browser/ui/webui/chromeos/login/l10n_util.cc (left): https://codereview.chromium.org/2884973004/diff/40001/chrome/browser/ui/webui/chromeos/login/l10n_util.cc#oldcode355 chrome/browser/ui/webui/chromeos/login/l10n_util.cc:355: base::ThreadRestrictions::AssertIOAllowed(); On 2017/05/19 17:58:16, ...
1 month, 1 week ago (2017-05-19 18:34:29 UTC) #19
fdoray
I pinged bartfab@ on IM. Landing now and will make changes later if required.
1 month, 1 week ago (2017-05-19 18:35:02 UTC) #20
fdoray
I pinged bartfab@ on IM. Landing now and will make changes later if required. TBR ...
1 month, 1 week ago (2017-05-19 18:36:51 UTC) #25
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2884973004/60001
1 month, 1 week ago (2017-05-19 18:38:11 UTC) #30
achuithb
lgtm
1 month, 1 week ago (2017-05-19 18:47:12 UTC) #31
commit-bot: I haz the power
1 month, 1 week ago (2017-05-19 19:15:01 UTC) #34
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/b8de8c51c48c9bf5cc72c3e7363d...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318